#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <gtk/gtk.h>

#include "xmms-status-plugin.h"


static GtkWidget *about_dialog = NULL;

static void about_close_callback(GtkWidget *w);

static void about_close_callback(GtkWidget *w)
{
	gtk_widget_destroy(about_dialog);
	about_dialog = NULL;
}

void about(void)
{
	GtkWidget *label, *button;

	if ( about_dialog )
		return;

	about_dialog = gtk_dialog_new ();

	gtk_window_set_title(GTK_WINDOW(about_dialog), _("About XMMS Status Docklet"));
	gtk_container_border_width(GTK_CONTAINER(about_dialog), 5);

	label = gtk_label_new ( _ ("XMMS Status Docklet Pluggin\n\n "
				   "Create By Ian Campbell <ijc25@cam.ac.uk>\n "
				   "Shows a status docklet in the GNOME or KDE panel.\n") );
	
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->vbox), label, TRUE, TRUE, 0);
	
	button = gtk_button_new_with_label(_(" Close "));
	gtk_signal_connect(GTK_OBJECT(button), "clicked", GTK_SIGNAL_FUNC(about_close_callback), NULL);
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->action_area), button, FALSE, FALSE, 0);
	
	gtk_widget_show(label);
	gtk_widget_show(button);
	gtk_widget_show(about_dialog);
	gtk_widget_grab_focus(button);

}
