# Note that this is NOT a relocatable package
%define  name     xmms-status-plugin
%define  ver      0.1
%define  RELEASE  1
%define  rel      %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix   /usr

Summary: A docklet for XMMS
Name: %name
Version: %ver
Release: %rel
Group: Applications/MultiMedia
License: GPL
BuildRequires: xmms xmms-devel
Source: %name-%{ver}.tar.gz
Docdir: %{prefix}/doc

%description
A status docklet for XMMS, docks into the GNOME Status dock. 

Should work with the KDE equivalent.

%changelog

%prep
%setup -q
%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
# Needed for snapshot releases.

MYCFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
fi

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install

make install

%clean

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/xmms/General/libstatusdocklet.la
/usr/lib/xmms/General/libstatusdocklet.so


